summaryrefslogtreecommitdiff
path: root/main/misc
diff options
context:
space:
mode:
authorArne Schwabe <arne@rfc2549.org>2015-04-15 00:17:26 +0200
committerArne Schwabe <arne@rfc2549.org>2015-04-15 00:20:23 +0200
commitc3ae4aaac9f0b168aed063d3e86c5196608eaba1 (patch)
tree1a18e7d8751d4dd3682d82d12c8441b335112984 /main/misc
parent5e42114d22faefe7c272b1b498fdf5640da494c7 (diff)
Move more to git, add submodules, fix build script, change hgignore to gitignore
Diffstat (limited to 'main/misc')
-rwxr-xr-xmain/misc/build-native.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/main/misc/build-native.sh b/main/misc/build-native.sh
index 7382efc9..af7c12c8 100755
--- a/main/misc/build-native.sh
+++ b/main/misc/build-native.sh
@@ -4,7 +4,7 @@
set -e
# Generate git config if the openvpn directory is checked out from git
-if [ -d openvpn/.git ]; then
+if [ -e openvpn/.git ]; then
GIT=git
cd openvpn
CONFIGURE_GIT_CHFILES=$($GIT diff-files --name-status -r --ignore-submodules --quiet -- || echo "+")
@@ -20,6 +20,9 @@ if [ -d openvpn/.git ]; then
rm -f config-version.h.tmp
fi
cd ..
+else
+ echo "Cannot find .git directory in openvpn, aborting"
+ exit 1
fi
if [ "x$1" = "x" ]; then